A class that provides constant values for the phases of a touch object.

A touch moves through at least the following phases in its life:

`BEGAN -> MOVED -> ENDED`

Furthermore, a touch can enter a `STATIONARY` phase. That phase does not trigger a touch event itself, and it can only occur in multitouch environments. Picture a situation where one finger is moving and the other is stationary. A touch event will be dispatched only to the object under the moving finger. In the list of touches of that event, you will find the second touch in the stationary phase.

Finally, there's the `HOVER` phase, which is exclusive to mouse input. It is the equivalent of a `MouseOver` event in Flash when the mouse button is not pressed.

### Hierarchy

- TouchPhase

## Index

### Properties

- BEGAN
- ENDED
- HOVER
- MOVED
- STATIONARY

## Properties

### Static BEGAN

BEGAN: string

- Defined in lib/starling/events/TouchPhase.d.ts:26

The finger touched the screen just now, or the mouse button was pressed.

### Static ENDED

ENDED: string

- Defined in lib/starling/events/TouchPhase.d.ts:36

The finger was lifted from the screen or from the mouse button.

### Static HOVER

HOVER: string

- Defined in lib/starling/events/TouchPhase.d.ts:23

Only available for mouse input: the cursor hovers over an object without a pressed button.

### Static MOVED

MOVED: string

- Defined in lib/starling/events/TouchPhase.d.ts:30

The finger moves around on the screen, or the mouse is moved while the button is pressed.

### Static STATIONARY

STATIONARY: string

- Defined in lib/starling/events/TouchPhase.d.ts:33

The finger or mouse (with pressed button) has not moved since the last frame.

Generated using TypeDoc